Skip to navigation

List tools

Get all tools for the authenticated user with filtering and cursor pagination.

Authentication

AuthorizationBearer
API key or Clerk session token

Query parameters

limitstringOptional
cursorstringOptional
directionstringOptional
includeCountstringOptional
distinctstringOptional
tool_typestringOptional
searchstringOptional
isActivestringOptional
idsstringOptional
includestringOptional
viewenumOptional

Response representation. full (default) preserves complete values; compact shortens every string value longer than 100 characters to a 100-character preview followed by ….

Allowed values:

Response

Paginated list of tools
datalist of objects
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error